Package org.drinkless.tdlib

# Class TdApi.UpdateServiceNotification

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateServiceNotification

Enclosing class:
  `TdApi`

public static class TdApi.UpdateServiceNotification extends TdApi.Update
A service notification from the server was received. Upon receiving this the application must show a popup with the content of the notification.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.MessageContent`
  `content`
  Notification content.
  `String`
  `type`
  Notification type.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateServiceNotification()`
  A service notification from the server was received.
  `UpdateServiceNotification(String type, TdApi.MessageContent content)`
  A service notification from the server was received.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### type

    public String type
    Notification type. If type begins with "AUTH_KEY_DROP_", then two buttons "Cancel" and "Log out" must be shown under notification; if user presses the second, all local data must be destroyed using Destroy method.

  - ### content

    public TdApi.MessageContent content
    Notification content.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateServiceNotification

    public UpdateServiceNotification()
    A service notification from the server was received. Upon receiving this the application must show a popup with the content of the notification.

  - ### UpdateServiceNotification

    public UpdateServiceNotification(String type, TdApi.MessageContent content)
    A service notification from the server was received. Upon receiving this the application must show a popup with the content of the notification.
    Parameters:
      `type` - Notification type. If type begins with "AUTH_KEY_DROP_", then two buttons "Cancel" and "Log out" must be shown under notification; if user presses the second, all local data must be destroyed using Destroy method.
      `content` - Notification content.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR